ros-lunar-libmavconn (0.20.1-0yakkety) yakkety; urgency=high

  * lib: Fix compilation with mavlink 2017.8.26
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 28 Aug 2017 00:00:00 -0000

ros-lunar-libmavconn (0.20.0-0yakkety) yakkety; urgency=high

  * geolib: datasets: warn when not installed; update install script; launch SIGINT when not installed (#778 <https://github.com/mavlink/mavros/issues/778>)
    * geolib: make dataset install mandatory
    * travis_ci: install python3; use geographiclib-datasets-download
    * CMakeLists.txt: set datasets path
    * travis_ci: create a path for the geoid dataset
    * travis_ci: remove python3 install
    * CMakeLists.txt: remove restriction regarding the geoid model
    * CMakeLists.txt: only launch a warning if the geoid dataset is not installed
    * CMakeLists.txt: simplify dataset path search and presentation
    * scripts: install_geographiclib_datasets becomes version aware
    * uas_data: dataset init: shutdown node if exception caught
    * README: update GeographicLib info; geolib install script: check for more OS versions
    * uas_data: small typo fix
    * install_geolib_datasets: some fix
    * CMakeLists.txt: be more clear on geoid dataset fault
    * CMakeLists: push check geolib datasets to a cmake module
    * travis_ci: update ppa repository
    * uas_data: shutdown node and increase log level instead
    * install_geographiclib_datasets: simplify script to only check download script version available
    * uas_data: remove signal.h import
  * Move FindGeographicLib.cmake to libmavconn, that simplify installation, simplify datasets instattator
  * Contributors: Nuno Marques, Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 23 Aug 2017 00:00:00 -0000

ros-lunar-libmavconn (0.19.0-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 05 May 2017 00:00:00 -0000

ros-lunar-libmavconn (0.18.7-0yakkety) yakkety; urgency=high

  * readme: Add serial-hwfc:// proto
  * libmavconn #649 <https://github.com/mavlink/mavros/issues/649>: Add serial-hwfc:// proto (serial + hardware flow control)
    Note: not all platforms support setting
    Boost::asio::serial_port_base::flow_control::hardware option.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 24 Feb 2017 00:00:00 -0000

ros-lunar-libmavconn (0.18.6-0yakkety) yakkety; urgency=high

  * lib #626 <https://github.com/mavlink/mavros/issues/626>: Porting of PR #650 <https://github.com/mavlink/mavros/issues/650> - Fix OSX pthread set name.
  * Contributors: Fadri Furrer

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 07 Feb 2017 00:00:00 -0000

ros-lunar-libmavconn (0.18.5-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 12 Dec 2016 00:00:00 -0000

ros-lunar-libmavconn (0.18.4-0yakkety) yakkety; urgency=high

  * Update README for all packages
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 11 Nov 2016 00:00:00 -0000

ros-lunar-libmavconn (0.18.3-0yakkety) yakkety; urgency=high

  * libmavconn: Enable autoquad dialect. It fixed in mavlink 2016.7.7
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 07 Jul 2016 00:00:00 -0000

ros-lunar-libmavconn (0.18.2-0yakkety) yakkety; urgency=high

  * Revert "libmavconn: Update console_bridge macroses."
    This reverts commit 73fd7f755ed919bc3c170574f514ba6525cd31a2.
    It breaks Travis builds for Indigo and Jade.
  * libmavconn: Update console_bridge macroses.
    https://github.com/ros/console_bridge/issues/18
  * libmavconn: tcp: enable_shared_from_this
  * libmavconn: udp: enable_shared_from_this
  * libmavconn: serial: enable_shared_from_this
  * libmavconn: std::deque automatically free buffers
  * libmavconn fix #567 <https://github.com/mavlink/mavros/issues/567>: Fix tcp server stat calculation
  * libmavconn: Fix debug log conn_id
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 30 Jun 2016 00:00:00 -0000

ros-lunar-libmavconn (0.18.1-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 24 Jun 2016 00:00:00 -0000

ros-lunar-libmavconn (0.18.0-0yakkety) yakkety; urgency=high

  * libmavconn: Fix _KiB literal
  * readme #544 <https://github.com/mavlink/mavros/issues/544>: add udp-b://@ URL
  * libmavconn fix #544 <https://github.com/mavlink/mavros/issues/544>: New URL for UDP Broadcast (for GCS discovery)
    Broadcast v4 address used until GCS respond.
    udp-b://[bind_host][:bind_port]@[:remote_port]
  * libmavconn: fix context.py.in
  * libmavconn: Add protocol version selection helpers
  * libmavconn: Use monotonic id for logging. Looks better than this ptr.
  * node: Update plugin loading and message routing
  * node: Rename plugib base class - API incompatible to old class
  * labmavconn: remove set_thread_name(), add utils::format()
  * libmavconn: APM dialect should be second
  * libmavconn fix #522 <https://github.com/mavlink/mavros/issues/522>: place generated files in source tree.
  * libmavconn: Use EmPy to generate dialect-enabling files
  * libmavconn: update copyright year
  * libmavconn: update unit test
  * libmavconn: Replace sig-slot with simple std::function() callbacks
  * libmavconn: Limit send_message() queue maximum size.
  * libmavconn:udp: try to make STL container handle allocations
  * libmavconn: Use std::call_once() for init
  * libmavconn: Leak in send_message() when it called from self IO thread (such as message_received event)
  * libmavconn: update unit test
  * libmavconn: support C++ serialization. Warn: RX leaks somewhere.
  * libmavconn: Use MAVLink2 C++11
  * labmavconn: trying to merge all dialects
  * libmavconn: std::thread are invalidated before set_thread_name() called. Result is SIGSEGV
  * labmavconn: finding sigsegv
  * libmavconn: uncrustify
  * libmavconn #543 <https://github.com/mavlink/mavros/issues/543>: remove boost::signals2 (TCP)
  * libmavconn #543 <https://github.com/mavlink/mavros/issues/543>: remove boost::signals2 (UDP)
  * libmavconn #543 <https://github.com/mavlink/mavros/issues/543>: remove boost.signals2 (serial)
  * libmavconn: uncrustify all
  * mavconn: Import Simple Signal library (with some minor modifications).
    Source file can be found here:
    https://testbit.eu/cpp11-signal-system-performance/
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 23 Jun 2016 00:00:00 -0000

ros-lunar-libmavconn (0.17.3-0yakkety) yakkety; urgency=high

  * libmavconn #543 <https://github.com/mavlink/mavros/issues/543>: support build with mavlink 2.0 capable mavgen
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 20 May 2016 00:00:00 -0000

ros-lunar-libmavconn (0.17.2-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 29 Apr 2016 00:00:00 -0000

ros-lunar-libmavconn (0.17.1-0yakkety) yakkety; urgency=high

  * MAVConnSerial: Stop io_service before closing serial device (Fixes #130 <https://github.com/mavlink/mavros/issues/130>)
    The serial device was closed before calling io_service.stop() so io_service::run() never returned, leading to hang on join in MAVConnSerial::close()
    
        Backtrace:
    #0  0x00007f80217e966b in pthread_join (threadid=140188059690752, thread_return=0x0) at pthread_join.c:92
    #1  0x00007f80215602d7 in std::thread::join() ()
    #2  0x00007f8020ccc674 in mavconn::MAVConnSerial::close() ()
    #3  0x00007f8020ccc6f5 in mavconn::MAVConnSerial::~MAVConnSerial() ()
    #4  0x00007f8020cc7b2e in boost::detail::sp_counted_impl_pd<mavconn::MAVConnSerial*, boost::detail::sp_ms_deleter<mavconn::MAVConnSerial> >::dispose() ()
    #5  0x000000000040ee0a in boost::detail::sp_counted_base::release() [clone .part.27] [clone .constprop.472] ()
    #6  0x000000000041eb22 in mavros::MavRos::~MavRos() ()
    #7  0x000000000040eb38 in main ()
    
  * Contributors: Kartik Mohta

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 28 Mar 2016 00:00:00 -0000

ros-lunar-libmavconn (0.17.0-0yakkety) yakkety; urgency=high

  * rebased with master
  * Contributors: francois

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 09 Feb 2016 00:00:00 -0000

ros-lunar-libmavconn (0.16.6-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 04 Feb 2016 00:00:00 -0000

ros-lunar-libmavconn (0.16.5-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 11 Jan 2016 00:00:00 -0000

ros-lunar-libmavconn (0.16.4-0yakkety) yakkety; urgency=high

  * libmavconn #452 <https://github.com/mavlink/mavros/issues/452>: remove pixhawk, add paparazzi dialects.
    Mavlink package provide information about known dialects,
    so we do not touch mavlink_dialect.h selection ifs.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 14 Dec 2015 00:00:00 -0000

ros-lunar-libmavconn (0.16.3-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 19 Nov 2015 00:00:00 -0000

ros-lunar-libmavconn (0.16.2-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 17 Nov 2015 00:00:00 -0000

ros-lunar-libmavconn (0.16.1-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Fri, 13 Nov 2015 00:00:00 -0000

ros-lunar-libmavconn (0.16.0-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 09 Nov 2015 00:00:00 -0000

ros-lunar-libmavconn (0.15.0-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 17 Sep 2015 00:00:00 -0000

ros-lunar-libmavconn (0.14.2-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Thu, 20 Aug 2015 00:00:00 -0000

ros-lunar-libmavconn (0.14.1-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 19 Aug 2015 00:00:00 -0000

ros-lunar-libmavconn (0.14.0-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 17 Aug 2015 00:00:00 -0000

ros-lunar-libmavconn (0.13.1-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 05 Aug 2015 00:00:00 -0000

ros-lunar-libmavconn (0.13.0-0yakkety) yakkety; urgency=high

  * libmavconn: simpify exception code.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 01 Aug 2015 00:00:00 -0000

ros-lunar-libmavconn (0.12.0-0yakkety) yakkety; urgency=high

  * libmavconn: UDP: Do not exit on Network unreachable error.
    Requested by @mhkabir, idea given by @adamantivm in
    https://github.com/algron/mavros/commit/48fa19f58786387b4aee804e0687d6d39a127806
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 01 Jul 2015 00:00:00 -0000

ros-lunar-libmavconn (0.11.2-0yakkety) yakkety; urgency=high

  * libmavconn fix #269 <https://github.com/vooon/mavros/issues/269>: override default channel getter helpers
    Default inlined mavlink getter helpers cause issue, when each
    plugin has it's own sequence number.
  * libmavconn #269 <https://github.com/vooon/mavros/issues/269>: add seq number to debug
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 26 Apr 2015 00:00:00 -0000

ros-lunar-libmavconn (0.11.1-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 06 Apr 2015 00:00:00 -0000

ros-lunar-libmavconn (0.11.0-0yakkety) yakkety; urgency=high

  * readme: fix links
  * license #242 <https://github.com/vooon/mavros/issues/242>: add license files
  * license #242 <https://github.com/vooon/mavros/issues/242>: update libmavconn headers
  * libmavconn: Fix logging (now all connections use same log name)
    Before i got several names: URL, serial0..
    But severity only changes if i changed first registered tag (URL).
    Now all debug will be enabled by one tag: ros.rosconsole_bridge.mavconn
    And because its only used for debugging that was ok.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 24 Mar 2015 00:00:00 -0000

ros-lunar-libmavconn (0.10.2-0yakkety) yakkety; urgency=high

  * mavconn: fix readme link
  * mavconn: Licensed under BSD 3-clause too, update headers for LGPLv3.
    PX4 team asked me to support BSD license.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Wed, 25 Feb 2015 00:00:00 -0000

ros-lunar-libmavconn (0.10.1-0yakkety) yakkety; urgency=high

  * libmavconn: Workaround for gcc 4.6 <chrono>.
  * libmavconn: Use C++11 for lists for_each
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 02 Feb 2015 00:00:00 -0000

ros-lunar-libmavconn (0.10.0-0yakkety) yakkety; urgency=high

  * libmavconn #154 <https://github.com/vooon/mavros/issues/154>: Stat sum for tcp server mode.
  * libmavconn #154 <https://github.com/vooon/mavros/issues/154>: Add IO usage statistics.
    TODO: tcp-l.
  * libmavconn: Fix coverity CID 85784 (use of freed object)
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sat, 24 Jan 2015 00:00:00 -0000

ros-lunar-libmavconn (0.9.4-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 06 Jan 2015 00:00:00 -0000

ros-lunar-libmavconn (0.9.3-0yakkety) yakkety; urgency=high

  * mavconn: Add ASLUAV dialect selection.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 30 Dec 2014 00:00:00 -0000

ros-lunar-libmavconn (0.9.2-0yakkety) yakkety; urgency=high

  * Fix libmavconn include destination.
    Before that change headers installed in include/libmavconn (package name)
    and it broke release builds for 0.9.1 and 0.8.4.
    Strange that prerelease build runs without errors.
    Issue #162 <https://github.com/vooon/mavros/issues/162>.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Tue, 04 Nov 2014 00:00:00 -0000

ros-lunar-libmavconn (0.9.1-0yakkety) yakkety; urgency=high

  * Fix libmavconn deps.
    Releases 0.9 and 0.8.3 ar broken because i forgot to add mavlink dep.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-libmavconn (0.9.0-0yakkety) yakkety; urgency=high



 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-libmavconn (0.8.2-0yakkety) yakkety; urgency=high

  * REP140: update package.xml format.
    Hydro don't accept this format correctly,
    but after split i can update.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-lunar-libmavconn (0.8.1-0yakkety) yakkety; urgency=high

  * mavconn #161 <https://github.com/vooon/mavros/issues/161>: try to fix hydro build
  * mavconn #161 <https://github.com/vooon/mavros/issues/161>: Move mavconn tests.
  * mavconn #161 <https://github.com/vooon/mavros/issues/161>: Fix headers used in mavros. Add readme.
  * mavconn #161 <https://github.com/vooon/mavros/issues/161>: Fix mavros build.
  * mavconn #161 <https://github.com/vooon/mavros/issues/161>: Move library to its own package
    Also rosconsole replaced by console_bridge, so now library can be used
    without ros infrastructure.
  * Contributors: Vladimir Ermakov

 -- Vladimir Ermakov <vooon341@gmail.com>  Sun, 02 Nov 2014 00:00:00 -0000


